Subject: Re: gcc -mno-cygwin fails
From: Greg Sharp <[email-masked]>
To: [email-masked]
Date: Thu, 25 Sep 2003 11:31:16 -0400

Igor Pechtchanski wrote:
> On Thu, 25 Sep 2003, Gregory C. Sharp wrote:
>>Following up with recent problems noted about g77 -mno-cygwin,
>>the same problem occurs for gcc.
>>
>>I am using the newest packages:  gcc-3.3.1-2, gcc-mingw-20030911-2
>>
>>$ gcc foo.c
>>$ gcc -mno-cygwin foo.c
>>gcc: installation problem, cannot exec `cc1': No such file or directory
>>$
> 
> Did you install the "gcc-mingw" package?
> 	Igor

I have gcc-mingw-20030911-2, which "setup" lists as the most recent.

 From Gerrit's suggestion about symlinks, I try this...

 > Make some symlinks in the directory:
 > /usr/lib/gcc-lib/i686-pc-mingw/3.3.1/
 > to all the executables in this directory:
 > /usr/lib/gcc-lib/i686-pc-cygwin/3.3.1/

But I don't even have a /usr/lib/gcc-lib/i686-pc-mingw/3.3.1 directory!

$ pwd
/usr/lib/gcc-lib/i686-pc-mingw32
$ ls
3.2
$

So I am thinking that downgrading to gcc package 3.2-3 will fix it.
Let's try...

$ gcc foo.c
$ gcc -mno-cygwin foo.c
$

Wow, great!  Thanks for the hints to get gcc working again!!

One last question, I'm always interested in trying the latest
packages, so is there a gcc-mingw that matches the gcc 3.3.1?

Greg
-- 
Gregory C. Sharp
Research Fellow, Mass General Hospital
http://gray.mgh.harvard.edu

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/